#!/usr/bin/env perl

use warnings;

use File::Path;

BEGIN {
  use FindBin qw($RealBin);
  BEGIN {
    unless ($ENV{'PPH'}) {
      my $binpath = $RealBin;
      $binpath =~ s|/[^/]+$||;
      $ENV{'PPH'} = $binpath;
    }
  }
  use lib "$ENV{PPH}/perl";
}

use PPH::Config;

# Processing a list of <acc>.aln files specified on command line
foreach my $alnfile (@ARGV) {
  my $psicfile = $alnfile;
  $psicfile =~ s/\.aln$/.prf/;
  my $cmd = "$CONFIG{PSIC} $alnfile $CONFIG{MATRIX}/Blosum62.txt $psicfile 2>&1";
  my $rc  = `$cmd`;
  warn "WARNING: ($alnfile) PSIC failure: $rc\n" if length $rc;
}
