#!/usr/bin/env perl
use strict;

while (<>) {
  if (/^>/) {
    if (/^>UniRef(\d+)_(\S+)(\s+.+)/) {
      $_ = ">gnl|uniref$1|$2$3\n";
    } else {
      die "Unsupported defline format:\n$_";
    }
  } else {
    # Replace Selenocysteine (U) by Cysteine (C) in the sequence
    # since BLAST+ don't understand 'U' as aa residue code
    tr/Uu/Cc/;
  }
  print;
}
