#!/bin/bash

for ver in 18 19; do
  mkdir -p ucsc/hg${ver}/chromosomes
  mkdir -p ucsc/hg${ver}/liftOver
  mkdir -p ucsc/hg${ver}/database
done

cd ucsc

for ver in 18 19; do
 for i in `seq 1 22` X Y; do
  wget \
    http://hgdownload.cse.ucsc.edu/goldenPath/hg${ver}/chromosomes/chr$i.fa.gz \
    --directory-prefix=hg${ver}/chromosomes
 done
done

for name in \
  ccdsGene \
  ccdsInfo \
  ccdsKgMap \
  chromInfo \
  kgAlias \
  kgProtAlias \
  kgSpAlias \
  kgXref \
  knownCanonical \
  knownGene \
  knownGeneMrna \
  knownGenePep \
  knownIsoforms \
  knownToEnsembl \
  knownToPfam \
  knownToRefSeq \
  refSeqSummary \
  snp130 \
  snp130CodingDbSnp \
  snp130Exceptions \
  snp130OrthoPt2Pa2Rm2 \
; do
 wget http://hgdownload.cse.ucsc.edu/goldenPath/hg18/database/${name}.sql    --directory-prefix=hg18/database
 wget http://hgdownload.cse.ucsc.edu/goldenPath/hg18/database/${name}.txt.gz --directory-prefix=hg18/database
done

for name in \
  ccdsGene \
  ccdsInfo \
  ccdsKgMap \
  chromInfo \
  kgAlias \
  kgProtAlias \
  kgSpAlias \
  kgXref \
  knownCanonical \
  knownGene \
  knownGeneMrna \
  knownGenePep \
  knownIsoforms \
  knownToEnsembl \
  knownToPfam \
  knownToRefSeq \
  refSeqSummary \
  snp131 \
  snp131CodingDbSnp \
  snp131Exceptions \
  snp131OrthoPt2Pa2Rm2 \
; do
 wget http://hgdownload.cse.ucsc.edu/goldenPath/hg19/database/${name}.sql    --directory-prefix=hg19/database
 wget http://hgdownload.cse.ucsc.edu/goldenPath/hg19/database/${name}.txt.gz --directory-prefix=hg19/database
done

cd ..
